if exists(select name from sysobjects where name = 'BCP_in_AllTables')
  begin
    drop procedure BCP_in_AllTables
  end
GO
CREATE PROCEDURE BCP_in_AllTables
	@dbname 		varchar(30),
	@path			varchar(50) = "C:\Temp"
AS
SET NOCOUNT ON
DECLARE @tablename 		varchar(30)
DECLARE @srvname 		varchar(30)
DECLARE @cmdline		varchar(125)
DECLARE @ssql                   varchar(255)
DECLARE @tabcount		smallint
SELECT @tabcount = 0 
SELECT @srvname = @@servername
EXEC ('USE ' + @dbname)
create table #dumptables ([name] varchar(255))
set @ssql = 'insert into #dumptables SELECT [name] from ' + @dbname + '..sysobjects where type = ''U'''
exec (@ssql)
DECLARE cnames 	CURSOR FOR 
select [name] from #dumptables
OPEN cnames
FETCH NEXT FROM cnames INTO @tablename
WHILE (@@fetch_status <> -1)
BEGIN
	IF (@@fetch_status = -2)
	BEGIN
		FETCH NEXT FROM cnames INTO @tablename
		CONTINUE
	END
	PRINT 'Importing table: ' + @tablename
	/* build commandline */
	/* '-T' is used for trusted connection, */
	/*  or '-U and -P switches for sql connections */	
	SELECT @cmdline = 'bcp "' + @dbname + '..[' + @tablename + ']" in "' + @path + '\' + @tablename + '.dat" -c  -Usa -P -S ' + @srvname
	PRINT 'Executing: ' + @cmdline
	EXEC master..xp_cmdshell @cmdline--, NO_OUTPUT
	SELECT @tabcount = @tabcount + 1
	FETCH NEXT FROM cnames INTO @tablename
END

DEALLOCATE cnames

/* Print usermessage */
PRINT CONVERT(varchar(10),@tabcount) + ' files imported into database '+ @dbname + ' from ' + @path

GO
sp_help "BCP_in_AllTables"
GO
/* exec BCP_in_AllTables "northwind", "D:\Temp" */
