use master
GO
exec sp_adddistributor  @distributor = 'C81124-C\DBARCH01', @password =''
GO
-- Adding the distribution database
exec sp_adddistributiondb  @database = 'distribution', @data_folder ='d:\MSSQL2000\data',@data_file ='distribution.MDF', @data_file_size = 3, @log_folder = 'd:\MSSQL2000\data', @log_file = 'distribution.LDF', @log_file_size = 1, @min_distretention = 0, @max_distretention = 72, @history_retention = 48, @security_mode = 1
GO
-- Adding the distribution publisher
exec sp_adddistpublisher  @publisher = 'C81124-C\DBARCH01', @distribution_db = 'distribution', @security_mode = 1, @working_directory = 'd:\MSSQL2000\ReplData', @trusted = 'true', @thirdparty_flag = 0
GO

-- Enabling the replication database
use master
GO

exec sp_replicationdboption @dbname = N'Northwind', @optname = N'publish', @value = N'true'
GO

use [Northwind]
GO

-- Adding the transactional publication
exec sp_addpublication @publication = N'NW_TRANS_Publication', @restricted = N'false', @sync_method = N'native', @repl_freq = N'continuous', @description = N'Transactional publication of Northwind database from Publisher C81124-C\DBARCH01.', @status = N'active', @allow_push = N'true', @allow_pull = N'true', @allow_anonymous = N'false', @enabled_for_internet = N'false', @independent_agent = N'false', @immediate_sync = N'false', @allow_sync_tran = N'false', @autogen_sync_procs = N'false', @retention = 336, @allow_queued_tran = N'false', @snapshot_in_defaultfolder = N'true', @compress_snapshot = N'false', @ftp_port = 21, @ftp_login = N'anonymous', @allow_dts = N'false', @allow_subscription_copy = N'false', @add_to_active_directory = N'false', @logreader_job_name = N'C81124-C\DBARCH01-Northwind-1'
exec sp_addpublication_snapshot @publication = N'NW_TRANS_Publication',@frequency_type = 4, @frequency_interval = 1, @frequency_relative_interval = 0, @frequency_recurrence_factor = 1, @frequency_subday = 1, @frequency_subday_interval = 0, @active_start_date = 0, @active_end_date = 0, @active_start_time_of_day = 224300, @active_end_time_of_day = 0, @snapshot_job_name = N'C81124-C\DBARCH01-Northwind-NW_TRANS_Publication-1'
GO

exec sp_grant_publication_access @publication = N'NW_TRANS_Publication', @login = N'BUILTIN\Administrators'
GO
exec sp_grant_publication_access @publication = N'NW_TRANS_Publication', @login = N'distributor_admin'
GO
exec sp_grant_publication_access @publication = N'NW_TRANS_Publication', @login = N'sa'
GO
exec sp_grant_publication_access @publication = N'NW_TRANS_Publication', @login = N'SFA-Admin'
GO

-- Adding the transactional articles
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Categories', @source_owner = N'dbo', @source_object = N'Categories', @destination_table = N'Categories', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'CustomerCustomerDemo', @source_owner = N'dbo', @source_object = N'CustomerCustomerDemo', @destination_table = N'CustomerCustomerDemo', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'CustomerDemographics', @source_owner = N'dbo', @source_object = N'CustomerDemographics', @destination_table = N'CustomerDemographics', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Customers', @source_owner = N'dbo', @source_object = N'Customers', @destination_table = N'Customers', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Employees', @source_owner = N'dbo', @source_object = N'Employees', @destination_table = N'Employees', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'EmployeeTerritories', @source_owner = N'dbo', @source_object = N'EmployeeTerritories', @destination_table = N'EmployeeTerritories', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Order Details', @source_owner = N'dbo', @source_object = N'Order Details', @destination_table = N'Order Details', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Orders', @source_owner = N'dbo', @source_object = N'Orders', @destination_table = N'Orders', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Products', @source_owner = N'dbo', @source_object = N'Products', @destination_table = N'Products', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Region', @source_owner = N'dbo', @source_object = N'Region', @destination_table = N'Region', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Shippers', @source_owner = N'dbo', @source_object = N'Shippers', @destination_table = N'Shippers', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Suppliers', @source_owner = N'dbo', @source_object = N'Suppliers', @destination_table = N'Suppliers', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
exec sp_addarticle @publication = N'NW_TRANS_Publication', @article = N'Territories', @source_owner = N'dbo', @source_object = N'Territories', @destination_table = N'Territories', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'SQL', @del_cmd = N'SQL', @upd_cmd = N'SQL', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO
-- Adding the transactional subscription
exec sp_addsubscription @publication = N'NW_TRANS_Publication', @article = N'all', @subscriber = N'C81124-C\DBARCH01', @destination_db = N'Southwind', @sync_type = N'automatic', @update_mode = N'read only', @offloadagent = 0, @dts_package_location = N'distributor'
GO

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
use [Northwind]
GO

-- Dropping the transactional articles
exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Categories', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Categories', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'CustomerCustomerDemo', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'CustomerCustomerDemo', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'CustomerDemographics', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'CustomerDemographics', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Customers', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Customers', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Employees', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Employees', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'EmployeeTerritories', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'EmployeeTerritories', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Order Details', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Order Details', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Orders', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Orders', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Products', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Products', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Region', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Region', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Shippers', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Shippers', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Suppliers', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Suppliers', @force_invalidate_snapshot = 1
GO

exec sp_dropsubscription @publication = N'NW_TRANS_Publication', @article = N'Territories', @subscriber = N'all', @destination_db = N'all'
exec sp_droparticle @publication = N'NW_TRANS_Publication', @article = N'Territories', @force_invalidate_snapshot = 1
GO

-- Dropping the transactional publication
exec sp_droppublication @publication = N'NW_TRANS_Publication'
GO

