-- Enabling the replication database
use master
GO

exec sp_replicationdboption @dbname = N'pubs', @optname = N'publish', @value = N'true'
GO

use [pubs]
GO

-- Adding the transactional publication
exec sp_addpublication @publication = N'pubs_2_pubs_repl', @restricted = N'false', @sync_method = N'native', @repl_freq = N'continuous', @description = N'Transactional publication of pubs database from Publisher C81124-C\DBARCH01.', @status = N'active', @allow_push = N'true', @allow_pull = N'true', @allow_anonymous = N'false', @enabled_for_internet = N'false', @independent_agent = N'false', @immediate_sync = N'false', @allow_sync_tran = N'false', @autogen_sync_procs = N'false', @retention = 336, @allow_queued_tran = N'false', @snapshot_in_defaultfolder = N'true', @compress_snapshot = N'false', @ftp_port = 21, @ftp_login = N'anonymous', @allow_dts = N'false', @allow_subscription_copy = N'false', @add_to_active_directory = N'false', @logreader_job_name = N'C81124-C\DBARCH01-pubs-1'
exec sp_addpublication_snapshot @publication = N'pubs_2_pubs_repl',@frequency_type = 4, @frequency_interval = 1, @frequency_relative_interval = 1, @frequency_recurrence_factor = 0, @frequency_subday = 8, @frequency_subday_interval = 1, @active_start_date = 0, @active_end_date = 0, @active_start_time_of_day = 0, @active_end_time_of_day = 235959, @snapshot_job_name = N'C81124-C\DBARCH01-pubs-pubs_2_pubs_repl-1'
GO

exec sp_grant_publication_access @publication = N'pubs_2_pubs_repl', @login = N'BUILTIN\Administrators'
GO
exec sp_grant_publication_access @publication = N'pubs_2_pubs_repl', @login = N'distributor_admin'
GO
exec sp_grant_publication_access @publication = N'pubs_2_pubs_repl', @login = N'sa'
GO

-- Adding the transactional articles
exec sp_addarticle @publication = N'pubs_2_pubs_repl', @article = N'authors', @source_owner = N'dbo', @source_object = N'authors', @destination_table = N'authors', @type = N'logbased', @creation_script = null, @description = null, @pre_creation_cmd = N'drop', @schema_option = 0x00000000000000F3, @status = 16, @vertical_partition = N'false', @ins_cmd = N'CALL sp_MSins_authors', @del_cmd = N'CALL sp_MSdel_authors', @upd_cmd = N'MCALL sp_MSupd_authors', @filter = null, @sync_object = null, @auto_identity_range = N'false'
GO

-- Adding the transactional subscription
exec sp_addsubscription @publication = N'pubs_2_pubs_repl', @article = N'all', @subscriber = N'C81124-C\DBARCH01', @destination_db = N'Pubs_Repl', @sync_type = N'automatic', @update_mode = N'read only', @offloadagent = 0, @dts_package_location = N'distributor'
GO

