/* SQL Server Configuration System Stored Procedure */
sp_configure

/********************* Basic Configuration Options ***************************/
exec sp_configure 'Show Advanced Options', 0 /* basic config options */
go
RECONFIGURE WITH OVERRIDE
go
sp_configure
go
name                                minimum     maximum     config_value run_value   
----------------------------------- ----------- ----------- ------------ ----------- 
allow updates                       0           1           0            0
default language                    0           9999        0            0
max text repl size (B)              0           2147483647  65536        65536
nested triggers                     0           1           1            1
remote access                       0           1           1            1
remote login timeout (s)            0           2147483647  20           20
remote proc trans                   0           1           0            0
remote query timeout (s)            0           2147483647  600          600
show advanced options               0           1           0            0
user options                        0           32767       0            0

/**** Just show me the values of the specified option ****/
sp_configure 'Show Advanced Options'
go

name                                minimum     maximum     config_value run_value   
----------------------------------- ----------- ----------- ------------ ----------- 
allow updates                       0           1           0            0

/*************** Advanced configuration options ********************/
exec sp_configure 'Show Advanced Options', 1    /* Advanced config options */
go
RECONFIGURE WITH OVERRIDE
go
sp_configure
go

name                                minimum     maximum     config_value run_value   
----------------------------------- ----------- ----------- ------------ ----------- 
affinity mask                       -2147483648 2147483647  0            0
allow updates                       0           1           0            0
awe enabled                         0           1           0            0
c2 audit mode                       0           1           0            0
cost threshold for parallelism      0           32767       5            5
cursor threshold                    -1          2147483647  -1           -1
default full-text language          0           2147483647  1033         1033
default language                    0           9999        0            0
fill factor (%)                     0           100         0            0
index create memory (KB)            704         2147483647  0            0
lightweight pooling                 0           1           0            0
locks                               5000        2147483647  0            0
max degree of parallelism           0           32          0            0
max server memory (MB)              4           2147483647  2147483647   2147483647
max text repl size (B)              0           2147483647  65536        65536
max worker threads                  32          32767       255          255
media retention                     0           365         0            0
min memory per query (KB)           512         2147483647  1024         1024
min server memory (MB)              0           2147483647  0            0
nested triggers                     0           1           1            1
network packet size (B)             512         65536       4096         4096
open objects                        0           2147483647  0            0
priority boost                      0           1           0            0
query governor cost limit           0           2147483647  0            0
query wait (s)                      -1          2147483647  -1           -1
recovery interval (min)             0           32767       0            0
remote access                       0           1           1            1
remote login timeout (s)            0           2147483647  20           20
remote proc trans                   0           1           0            0
remote query timeout (s)            0           2147483647  600          600
scan for startup procs              0           1           1            1
set working set size                0           1           0            0
show advanced options               0           1           1            1
two digit year cutoff               1753        9999        2049         2049
user connections                    0           32767       0            0
user options                        0           32767       0            0


/* Server Properties System Function */
SELECT SERVERPROPERTY('Collation')
SELECT SERVERPROPERTY('Edition')
SELECT SERVERPROPERTY('Engine Edition')
SELECT SERVERPROPERTY('InstanceName')
SELECT SERVERPROPERTY('IsClustered')
SELECT SERVERPROPERTY('IsFullTextInstalled')
SELECT SERVERPROPERTY('IsIntegratedSecurityOnly')
SELECT SERVERPROPERTY('IsSingleUser')
SELECT SERVERPROPERTY('IsSyncWithBackup')
SELECT SERVERPROPERTY('LicenseType')
SELECT SERVERPROPERTY('MachineName')
SELECT SERVERPROPERTY('NumLicenses')
SELECT SERVERPROPERTY('ProcessID')
SELECT SERVERPROPERTY('ProductLevel')
SELECT SERVERPROPERTY('ServerName')
/* system configurtion variables */
SELECT 	@@CONNECTIONS, @@DATEFIRST, @@DBTS, @@LANGUAGE, @@LANGID,
	@@LOCK_TIMEOUT, @@MAX_CONNECTIONS, @@MAX_PRECISION,
	@@NESTLEVEL, @@OPTIONS, @@REMSERVER, @@SPID, @@SERVERNAME,
	@@SERVICENAME, @@TEXTSIZE, @@VERSION

/**** SQL Server Configuration System Tables ****/
SELECT value, config, substring (comment,1,50),status from master..syscurconfigs
go
value       config comment                                         status 
----------- ------ ----------------------------------------------- ------ 
8           1      Major revision number of config data.                                                                                                                                                                                                                           0
0           2      Minor revision number of config data.                                                                                                                                                                                                                           0
13          3      Reconfigure revision number of config data                                                                                                                                                                                                                      0
2           4      Configuration boot source.                                                                                                                                                                                                                                      0
0           101    Maximum recovery interval in minutes                                                                                                                                                                                                                            3
0           102    Allow updates to system tables                                                                                                                                                                                                                                  1
0           103    Number of user connections allowed                                                                                                                                                                                                                              2
0           106    Number of locks for all users                                                                                                                                                                                                                                   2
0           107    Number of open database objects                                                                                                                                                                                                                                 2
0           109    Default fill factor percentage                                                                                                                                                                                                                                  2
0           1537   Media retention period in days                                                                                                                                                                                                                                  2
1           115    Allow triggers to be invoked within triggers                                                                                                                                                                                                                    1
1           117    Allow remote access                                                                                                                                                                                                                                             0
2049        1127   two digit year cutoff                                                                                                                                                                                                                                           3
1033        1126   default full-text language                                                                                                                                                                                                                                      3
0           124    default language                                                                                                                                                                                                                                                1
255         503    Maximum worker threads.                                                                                                                                                                                                                                         2
0           542    Create DTC Transaction for RPC                                                                                                                                                                                                                                  1
10          543    remote connection inactivity timeout                                                                                                                                                                                                                            0
4096        505    network packet size                                                                                                                                                                                                                                             3
0           1505   Memory for index create sorts (kBytes)                                                                                                                                                                                                                          3
0           1517   Priority boost                                                                                                                                                                                                                                                  2
1           518    Show advanced options                                                                                                                                                                                                                                           1
20          1519   remote login timeout                                                                                                                                                                                                                                            1
600         1520   remote query timeout                                                                                                                                                                                                                                            1
-1          1531   cursor threshold                                                                                                                                                                                                                                                3
1024        1540   minimum memory per query (kBytes)                                                                                                                                                                                                                               3
-1          1541   query wait (s)                                                                                                                                                                                                                                                  3
0           1532   set working set size                                                                                                                                                                                                                                            2
0           1534   user options                                                                                                                                                                                                                                                    1
0           1535   affinity mask                                                                                                                                                                                                                                                   2
65536       1536   max text repl size                                                                                                                                                                                                                                              1
5           1538   cost threshold for parallelism                                                                                                                                                                                                                                  3
0           1539   maximum degree of parallelism                                                                                                                                                                                                                                   3
0           1543   Minimum Server Memory size (MB)                                                                                                                                                                                                                                 3
2147483647  1544   Maximum Server Memory size (MB)                                                                                                                                                                                                                                 3
0           1545   Maximum estimated cost of query allowed to run by query governor                                                                                                                                                                                                3
0           1546   User mode scheduler uses lightweight pooling                                                                                                                                                                                                                    2
1           1547   scan for startup stored procedures                                                                                                                                                                                                                              2
0           544    c2 audit mode                                                                                                                                                                                                                                                   2
0           1548   AWE enabled in server                                                                                                                                                                                                                                           2

SELECT value, config, substring (comment,1,50),status from master..sysconfigures
go
value       config                                                    status 
----------- ------ -------------------------------------------------- ------ 
0           101    Maximum recovery interval in minutes               3
0           102    Allow updates to system tables                     1
0           103    Number of user connections allowed                 2
0           106    Number of locks for all users                      2
0           107    Number of open database objects                    2
0           109    Default fill factor percentage                     2
1           115    Allow triggers to be invoked within triggers       1
1           117    Allow remote access                                0
0           124    default language                                   1
255         503    Maximum worker threads                             2
4096        505    Network packet size                                3
1           518    show advanced options                              1
0           542    Create DTC transaction for remote procedures       1
0           544    c2 audit mode                                      2
1033        1126   default full-text language                         3
2049        1127   two digit year cutoff                              3
0           1505   Memory for index create sorts (kBytes)             3
0           1517   Priority boost                                     2
20          1519   remote login timeout                               1
600         1520   remote query timeout                               1
-1          1531   cursor threshold                                   3
0           1532   set working set size                               2
0           1534   user options                                       1
0           1535   affinity mask                                      2
65536       1536   Maximum size of a text field in replication.       1
0           1537   Tape retention period in days                      2
5           1538   cost threshold for parallelism                     3
0           1539   maximum degree of parallelism                      3
1024        1540   minimum memory per query (kBytes)                  3
-1          1541   maximum time to wait for query memory (s)          3
0           1543   Minimum size of server memory (MB)                 3
2147483647  1544   Maximum size of server memory (MB)                 3
0           1545   Maximum estimated cost allowed by query governor   3
0           1546   User mode scheduler uses lightweight pooling       2
1           1547   scan for startup stored procedures                 2
0           1548   AWE enabled in the server                          2
0           1549   affinity64 mask                                    2

sp_configure 'affinity mask', 0
go
RECONFIGURE
go
sp_configure 'allow updates', 1
go
RECONFIGURE
go
sp_configure 'awe enabled', 1
go
RECONFIGURE
go
sp_configure 'cost threshold for parallelism', 2
go
RECONFIGURE
go
sp_configure 'cursor threshold', 100000
go
RECONFIGURE
go
sp_configure 'fill factor', 90
go
RECONFIGURE
go
sp_configure 'index create memory', 1000
go
RECONFIGURE
go
sp_configure 'lightweight pooling', 1
go
RECONFIGURE
go
sp_configure 'locks', 100000
go
RECONFIGURE
go
sp_configure 'max degree of parallelism', 4
go
RECONFIGURE
go
sp_configure 'max server memory', 200
go
RECONFIGURE
go
sp_configure 'min server memory', 20
go
RECONFIGURE
go
sp_configure 'max text repl size', 131072
go
RECONFIGURE
go
sp_configure 'max worker threads', 125
go
RECONFIGURE
go
sp_configure 'min memory per query', 2048
go
RECONFIGURE
go
sp_configure 'network packet size', 8192
go
RECONFIGURE
go
sp_configure 'open objects', 10000
go
RECONFIGURE
go
sp_configure 'priority boost', 1
go
RECONFIGURE
go
sp_configure 'query governor cost limit', 20
go
RECONFIGURE
go
sp_configure 'query wait', -1
go
RECONFIGURE
go
sp_configure 'recovery interval', 10
go
RECONFIGURE
go
sp_configure 'remote access', 0
go
RECONFIGURE
go
sp_configure 'remote proc trans', 1
go
RECONFIGURE
go
sp_configure 'scan for startup procs', 1
go
RECONFIGURE
go
sp_configure 'set working set size', 1
go
RECONFIGURE
go
sp_configure 'user connections', 200
go
RECONFIGURE
go
sp_configure 'user options', 32
go
RECONFIGURE WITH OVERRIDE
go
select @@options