CREATE DATABASE [SQL_Monitor]  
ON (NAME = N'sqlmon_Data', 
FILENAME = N'D:\Program Files\Microsoft SQL Server\MSSQL$DBARCH01\data\sqlmon_Data.MDF' , 
SIZE = 3, FILEGROWTH = 10%) 
LOG ON (NAME = N'sqlmon_Log', 
FILENAME = N'D:\Program Files\Microsoft SQL Server\MSSQL$DBARCH01\data\sqlmon_Log.LDF' , 
SIZE = 1, FILEGROWTH = 10%)
COLLATE SQL_Latin1_General_CP1_CI_AS
GO
exec sp_dboption N'SQL_Monitor', N'trunc. log', N'true'
GO
/************************ work load ********************************/
/* exec sp_monitor */
/* DBCC PERFMON */
/* DBCC SQLPERF (THREADS) */
/* DBCC SQLPERF (LOGSPACE) */
/* DBCC INPUTBUFFER(spid) */
/* DBCC OUTPUTBUFFER(spid) */
/* DBCC SHOWCONTIG */
/* DBCC MEMUSAGE */
/* DBCC PROCCACHE */
/* SELECT * from master..sysprocesses order by cpu desc */

DROP TABLE [sql_perf_monitor]
/* TRUNCATE TABLE [sql_perf_monitor] */
CREATE TABLE [sql_perf_monitor] (
	[sample] [int],
	[connections] [int],
	[cpu_busy] [int],
	[idle] [int],
	[packets_received] [int],
	[packets_sent] [int],
	[packets_received_diff] [int],
	[packets_sent_diff] [int],
	[packet_errors] [int],
	[total_reads] [int],
	[total_writes] [int],
	[total_reads_diff] [int],
	[total_writes_diff] [int],
	[total_errors] [int],
	[fillpageup] [char] (2500),
	[sample_datetime] [datetime]
) ON [PRIMARY]
GO
/* Declare local var's */
declare @sample int,
	@packrec int,
	@packsent int,
	@totreads int,
	@totwrites int,
	@maxpr int,
	@maxloop int
/* init local var's */
set @packrec=null
set @packsent=null
set @totreads=null
set @totwrites=null
set @maxpr=null

SELECT @sample=isnull(max(sample)+1,1) 
FROM [SQL_Monitor].[dbo].[sql_perf_monitor] 

set @maxloop=@sample + 1000 /* set upper bound of insert loop */

while (@sample < @maxloop) /* about 2 minutes worth of activity per 1000 */
begin
/* Generate some insert (write) activity */
INSERT INTO [SQL_Monitor].[dbo].[sql_perf_monitor]
SELECT 	@sample,
	@@CONNECTIONS,
	@@CPU_BUSY ,
	@@IDLE ,
	@@PACK_RECEIVED ,
	@@PACK_SENT, 
	@@PACK_RECEIVED - @packrec,
	@@PACK_SENT - @packsent,
	@@PACKET_ERRORS ,
	@@TOTAL_READ , 
	@@TOTAL_WRITE,
	@@TOTAL_READ - @totreads, 
	@@TOTAL_WRITE - @totwrites,
	@@TOTAL_ERRORS , 
	'Page Filler',
	GETDATE()
/* generate some read activity */
SELECT 	@packrec=packets_received,
	@packsent=packets_sent,
	@totreads=total_reads,
	@totwrites=total_writes 
FROM [SQL_Monitor].[dbo].[sql_perf_monitor]
WHERE sample = @sample

SELECT @maxpr=max(packets_received)
FROM [SQL_Monitor].[dbo].[sql_perf_monitor]

set @sample = @sample + 1

end
go
/* 
select * from sql_perf_monitor 
go
*/

/* 
SELECT 	@@CONNECTIONS AS 'Connections',
	@@CPU_BUSY AS 'CPU Busy ms',
	@@IDLE AS 'SQL Server Idle ms',
	@@PACK_RECEIVED AS 'Packets Received',
	@@PACK_SENT AS 'Packets Sent',
	@@PACKET_ERRORS AS 'Packet Errors ',
	@@TOTAL_READ AS 'Reads', 
	@@TOTAL_WRITE AS 'Writes',
	@@TOTAL_ERRORS AS 'Total Errors', 
	GETDATE() AS 'As of datetime'
go
*/